diff --git a/compiler/coreSyn/CoreUnfold.lhs b/compiler/coreSyn/CoreUnfold.lhs
index 46ec56a..f06d3ca 100644
--- a/compiler/coreSyn/CoreUnfold.lhs
+++ b/compiler/coreSyn/CoreUnfold.lhs
@@ -954,9 +948,9 @@ tryUnfolding dflags id lone_variable
            | otherwise = Nothing
 
     interesting_args = any nonTriv arg_infos 
-    	-- NB: (any nonTriv arg_infos) looks at the
-    	-- over-saturated args too which is "wrong"; 
-    	-- but if over-saturated we inline anyway.
+        -- NB: (any nonTriv arg_infos) looks at the
+        -- over-saturated args too which is "wrong"; 
+        -- but if over-saturated we inline anyway.
 
            -- some_benefit is used when the RHS is small enough
            -- and the call has enough (or too many) value
@@ -964,17 +958,17 @@ tryUnfolding dflags id lone_variable
            -- be *something* interesting about some argument, or the
            -- result context, to make it worth inlining
     some_benefit 
-       | not saturated = interesting_args	-- Under-saturated
-    	   	      		     	-- Note [Unsaturated applications]
-       | otherwise = interesting_args	-- Saturated or over-saturated
+       | not saturated = interesting_args       -- Under-saturated
+                                        -- Note [Unsaturated applications]
+       | otherwise = interesting_args   -- Saturated or over-saturated
                   || interesting_call
 
     interesting_call 
       = case cont_info' of
-          BoringCtxt -> not is_top && uf_arity > 0	  -- Note [Nested functions]
+          BoringCtxt -> not is_top && uf_arity > 0        -- Note [Nested functions]
           CaseCtxt   -> not (lone_variable && is_wf)      -- Note [Lone variables]
-          ArgCtxt {} -> uf_arity > 0     		  -- Note [Inlining in ArgCtxt]
-          ValAppCtxt -> True			          -- Note [Cast then apply]
+          ArgCtxt {} -> uf_arity > 0                      -- Note [Inlining in ArgCtxt]
+          ValAppCtxt -> True                              -- Note [Cast then apply]
 
     (yes_or_no, extra_doc)
       = case guidance of
@@ -986,13 +980,13 @@ tryUnfolding dflags id lone_variable
                enough_args = saturated || (unsat_ok && n_val_args > 0)
 
           UnfIfGoodArgs { ug_args = arg_discounts, ug_res = res_discount, ug_size = size }
-      	     -> ( is_wf && some_benefit && small_enough
+             -> ( is_wf && some_benefit && small_enough
                 , (text "discounted size =" <+> int discounted_size) )
-    	     where
-    	       discounted_size = size - discount
-    	       small_enough = discounted_size <= ufUseThreshold dflags
-    	       discount = computeDiscount dflags uf_arity arg_discounts 
-    	         		          res_discount arg_infos cont_info'
+             where
+               discounted_size = size - discount
+               small_enough = discounted_size <= ufUseThreshold dflags
+               discount = computeDiscount dflags uf_arity arg_discounts 
+                                          res_discount arg_infos cont_info'
 \end{code}
 
 Note [RHS of lets]
@@ -1012,9 +1006,9 @@ A good example is the Ord instance for Bool in Base:
 
  Rec {
     $fOrdBool =GHC.Classes.D:Ord
-        	 @ Bool
-      		 ...
-      		 $cmin_ajX
+                 @ Bool
+                 ...
+                 $cmin_ajX
 
     $cmin_ajX [Occ=LoopBreaker] :: Bool -> Bool -> Bool
     $cmin_ajX = GHC.Classes.$dmmin @ Bool $fOrdBool
@@ -1098,35 +1092,35 @@ call is at least CONLIKE.  At least for the cases where we use ArgCtxt
 for the RHS of a 'let', we only profit from the inlining if we get a 
 CONLIKE thing (modulo lets).
 
-Note [Lone variables]	See also Note [Interaction of exprIsWorkFree and lone variables]
+Note [Lone variables]   See also Note [Interaction of exprIsWorkFree and lone variables]
 ~~~~~~~~~~~~~~~~~~~~~   which appears below
 The "lone-variable" case is important.  I spent ages messing about
 with unsatisfactory varaints, but this is nice.  The idea is that if a
 variable appears all alone
 
-	as an arg of lazy fn, or rhs	BoringCtxt
-	as scrutinee of a case		CaseCtxt
-	as arg of a fn			ArgCtxt
+        as an arg of lazy fn, or rhs    BoringCtxt
+        as scrutinee of a case          CaseCtxt
+        as arg of a fn                  ArgCtxt
 AND
-	it is bound to a cheap expression
+        it is bound to a cheap expression
 
 then we should not inline it (unless there is some other reason,
 e.g. is is the sole occurrence).  That is what is happening at 
 the use of 'lone_variable' in 'interesting_call'.
 
 Why?  At least in the case-scrutinee situation, turning
-	let x = (a,b) in case x of y -> ...
+        let x = (a,b) in case x of y -> ...
 into
-	let x = (a,b) in case (a,b) of y -> ...
+        let x = (a,b) in case (a,b) of y -> ...
 and thence to 
-	let x = (a,b) in let y = (a,b) in ...
+        let x = (a,b) in let y = (a,b) in ...
 is bad if the binding for x will remain.
 
 Another example: I discovered that strings
 were getting inlined straight back into applications of 'error'
 because the latter is strict.
-	s = "foo"
-	f = \x -> ...(error s)...
+        s = "foo"
+        f = \x -> ...(error s)...
 
 Fundamentally such contexts should not encourage inlining because the
 context can ``see'' the unfolding of the variable (e.g. case or a
@@ -1135,9 +1129,9 @@ RULE) so there's no gain.  If the thing is bound to a value.
 However, watch out:
 
  * Consider this:
-	foo = _inline_ (\n. [n])
-	bar = _inline_ (foo 20)
-	baz = \n. case bar of { (m:_) -> m + n }
+        foo = _inline_ (\n. [n])
+        bar = _inline_ (foo 20)
+        baz = \n. case bar of { (m:_) -> m + n }
    Here we really want to inline 'bar' so that we can inline 'foo'
    and the whole thing unravels as it should obviously do.  This is 
    important: in the NDP project, 'bar' generates a closure data
@@ -1150,13 +1144,13 @@ However, watch out:
 
  * Even a type application or coercion isn't a lone variable.
    Consider
-	case $fMonadST @ RealWorld of { :DMonad a b c -> c }
+        case $fMonadST @ RealWorld of { :DMonad a b c -> c }
    We had better inline that sucker!  The case won't see through it.
 
    For now, I'm treating treating a variable applied to types 
    in a *lazy* context "lone". The motivating example was
-	f = /\a. \x. BIG
-	g = /\a. \y.  h (f a)
+        f = /\a. \x. BIG
+        g = /\a. \y.  h (f a)
    There's no advantage in inlining f here, and perhaps
    a significant disadvantage.  Hence some_val_args in the Stop case
 
@@ -1167,7 +1161,7 @@ scrutines a lone variable whose unfolding is cheap".  It's very
 important that, under these circumstances, exprIsConApp_maybe
 can spot a constructor application. So, for example, we don't
 consider
-	let x = e in (x,x)
+        let x = e in (x,x)
 to be cheap, and that's good because exprIsConApp_maybe doesn't
 think that expression is a constructor application.
 
@@ -1177,8 +1171,8 @@ expression responds True to exprIsHNF, which is what sets is_value.
 
 This kind of thing can occur if you have
 
-	{-# INLINE foo #-}
-	foo = let x = e in (x,x)
+        {-# INLINE foo #-}
+        foo = let x = e in (x,x)
 
 which Roman did.
 
@@ -1186,45 +1180,45 @@ which Roman did.
 computeDiscount :: DynFlags -> Arity -> [Int] -> Int -> [ArgSummary] -> CallCtxt
                 -> Int
 computeDiscount dflags uf_arity arg_discounts res_discount arg_infos cont_info
- 	-- We multiple the raw discounts (args_discount and result_discount)
-	-- ty opt_UnfoldingKeenessFactor because the former have to do with
-	--  *size* whereas the discounts imply that there's some extra 
-	--  *efficiency* to be gained (e.g. beta reductions, case reductions) 
-	-- by inlining.
+        -- We multiple the raw discounts (args_discount and result_discount)
+        -- ty opt_UnfoldingKeenessFactor because the former have to do with
+        --  *size* whereas the discounts imply that there's some extra 
+        --  *efficiency* to be gained (e.g. beta reductions, case reductions) 
+        -- by inlining.
 
   = 10          -- Discount of 1 because the result replaces the call
-		-- so we count 1 for the function itself
+                -- so we count 1 for the function itself
 
     + 10 * length (take uf_arity arg_infos)
-      	       -- Discount of (un-scaled) 1 for each arg supplied, 
-   	       -- because the result replaces the call
+               -- Discount of (un-scaled) 1 for each arg supplied, 
+               -- because the result replaces the call
 
     + round (ufKeenessFactor dflags *
-	     fromIntegral (arg_discount + res_discount'))
+             fromIntegral (arg_discount + res_discount'))
   where
     arg_discount = sum (zipWith mk_arg_discount arg_discounts arg_infos)
 
-    mk_arg_discount _ 	     TrivArg    = 0 
+    mk_arg_discount _        TrivArg    = 0 
     mk_arg_discount _        NonTrivArg = 10
     mk_arg_discount discount ValueArg   = discount 
 
     res_discount' = case cont_info of
-			BoringCtxt  -> 0
-			CaseCtxt    -> res_discount  -- Presumably a constructor
-			ValAppCtxt  -> res_discount  -- Presumably a function
+                        BoringCtxt  -> 0
+                        CaseCtxt    -> res_discount  -- Presumably a constructor
+                        ValAppCtxt  -> res_discount  -- Presumably a function
                         ArgCtxt {}  -> 40 `min` res_discount
-		-- res_discount can be very large when a function returns
-		-- constructors; but we only want to invoke that large discount
-		-- when there's a case continuation.
-		-- Otherwise we, rather arbitrarily, threshold it.  Yuk.
-		-- But we want to aovid inlining large functions that return 
-		-- constructors into contexts that are simply "interesting"
+                -- res_discount can be very large when a function returns
+                -- constructors; but we only want to invoke that large discount
+                -- when there's a case continuation.
+                -- Otherwise we, rather arbitrarily, threshold it.  Yuk.
+                -- But we want to aovid inlining large functions that return 
+                -- constructors into contexts that are simply "interesting"
 \end{code}
 
 %************************************************************************
-%*									*
-	Interesting arguments
-%*									*
+%*                                                                      *
+        Interesting arguments
+%*                                                                      *
 %************************************************************************
 
 Note [Interesting arguments]
@@ -1250,33 +1244,33 @@ to now!
 Note [Conlike is interesting]
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 Consider
-	f d = ...((*) d x y)...
-	... f (df d')...
+        f d = ...((*) d x y)...
+        ... f (df d')...
 where df is con-like. Then we'd really like to inline 'f' so that the
 rule for (*) (df d) can fire.  To do this 
   a) we give a discount for being an argument of a class-op (eg (*) d)
   b) we say that a con-like argument (eg (df d)) is interesting
 
 \begin{code}
-data ArgSummary = TrivArg	-- Nothing interesting
-     		| NonTrivArg	-- Arg has structure
-		| ValueArg	-- Arg is a con-app or PAP
-		  		-- ..or con-like. Note [Conlike is interesting]
+data ArgSummary = TrivArg       -- Nothing interesting
+                | NonTrivArg    -- Arg has structure
+                | ValueArg      -- Arg is a con-app or PAP
+                                -- ..or con-like. Note [Conlike is interesting]
 
 interestingArg :: CoreExpr -> ArgSummary
 -- See Note [Interesting arguments]
 interestingArg e = go e 0
   where
     -- n is # value args to which the expression is applied
-    go (Lit {}) _   	   = ValueArg
+    go (Lit {}) _          = ValueArg
     go (Var v)  n
-       | isConLikeId v     = ValueArg	-- Experimenting with 'conlike' rather that
-       	 	     	     		--    data constructors here
-       | idArity v > n	   = ValueArg	-- Catches (eg) primops with arity but no unfolding
-       | n > 0	           = NonTrivArg	-- Saturated or unknown call
-       | conlike_unfolding = ValueArg	-- n==0; look for an interesting unfolding
+       | isConLikeId v     = ValueArg   -- Experimenting with 'conlike' rather that
+                                        --    data constructors here
+       | idArity v > n     = ValueArg   -- Catches (eg) primops with arity but no unfolding
+       | n > 0             = NonTrivArg -- Saturated or unknown call
+       | conlike_unfolding = ValueArg   -- n==0; look for an interesting unfolding
                                         -- See Note [Conlike is interesting]
-       | otherwise	   = TrivArg	-- n==0, no useful unfolding
+       | otherwise         = TrivArg    -- n==0, no useful unfolding
        where
          conlike_unfolding = isConLikeUnfolding (idUnfolding v)
 
@@ -1286,13 +1280,13 @@ interestingArg e = go e 0
     go (App fn (Coercion _)) n = go fn n
     go (App fn _)        n = go fn (n+1)
     go (Tick _ a)      n = go a n
-    go (Cast e _) 	 n = go e n
-    go (Lam v e)  	 n 
-       | isTyVar v	   = go e n
-       | n>0	 	   = go e (n-1)
-       | otherwise	   = ValueArg
-    go (Let _ e)  	 n = case go e n of { ValueArg -> ValueArg; _ -> NonTrivArg }
-    go (Case {})  	 _ = NonTrivArg
+    go (Cast e _)        n = go e n
+    go (Lam v e)         n 
+       | isTyVar v         = go e n
+       | n>0               = go e (n-1)
+       | otherwise         = ValueArg
+    go (Let _ e)         n = case go e n of { ValueArg -> ValueArg; _ -> NonTrivArg }
+    go (Case {})         _ = NonTrivArg
 
 nonTriv ::  ArgSummary -> Bool
 nonTriv TrivArg = False
diff --git a/compiler/coreSyn/MkCore.lhs b/compiler/coreSyn/MkCore.lhs
index 532d4fc..c4bcaf6 100644
--- a/compiler/coreSyn/MkCore.lhs
+++ b/compiler/coreSyn/MkCore.lhs
@@ -1,10 +1,4 @@
 \begin{code}
-{-# OPTIONS -fno-warn-tabs #-}
--- The above warning supression flag is a temporary kludge.
--- While working on this module you are encouraged to remove it and
--- detab the module (please do the detabbing in a separate patch). See
---     http://ghc.haskell.org/trac/ghc/wiki/Commentary/CodingStyle#TabsvsSpaces
--- for details
 
 -- | Handy functions for creating much Core syntax
 module MkCore (
@@ -52,11 +46,11 @@ module MkCore (
         mkNilExpr, mkConsExpr, mkListExpr, 
         mkFoldrExpr, mkBuildExpr,
 
-    	-- * Error Ids 
-    	mkRuntimeErrorApp, mkImpossibleExpr, errorIds,
-    	rEC_CON_ERROR_ID, iRREFUT_PAT_ERROR_ID, rUNTIME_ERROR_ID,
-    	nON_EXHAUSTIVE_GUARDS_ERROR_ID, nO_METHOD_BINDING_ERROR_ID,
-    	pAT_ERROR_ID, eRROR_ID, rEC_SEL_ERROR_ID, aBSENT_ERROR_ID,
+        -- * Error Ids 
+        mkRuntimeErrorApp, mkImpossibleExpr, errorIds,
+        rEC_CON_ERROR_ID, iRREFUT_PAT_ERROR_ID, rUNTIME_ERROR_ID,
+        nON_EXHAUSTIVE_GUARDS_ERROR_ID, nO_METHOD_BINDING_ERROR_ID,
+        pAT_ERROR_ID, eRROR_ID, rEC_SEL_ERROR_ID, aBSENT_ERROR_ID,
         uNDEFINED_ID, undefinedName
     ) where
 
@@ -73,12 +67,12 @@ import HscTypes
 import TysWiredIn
 import PrelNames
 
-import TcType		( mkSigmaTy )
+import TcType           ( mkSigmaTy )
 import Type
 import Coercion
 import TysPrim
 import DataCon          ( DataCon, dataConWorkId )
-import IdInfo		( vanillaIdInfo, setStrictnessInfo, 
+import IdInfo           ( vanillaIdInfo, setStrictnessInfo, 
                           setArityInfo )
 import Demand 
 import Name      hiding ( varName )
@@ -176,14 +170,14 @@ mk_val_app fun arg arg_ty res_ty
   = Case arg arg_id res_ty [(DEFAULT,[],App fun (Var arg_id))]
   where
     arg_id = mkWildValBinder arg_ty    
-	-- Lots of shadowing, but it doesn't matter,
+        -- Lots of shadowing, but it doesn't matter,
         -- because 'fun ' should not have a free wild-id
-	--
-	-- This is Dangerous.  But this is the only place we play this 
-	-- game, mk_val_app returns an expression that does not have
-	-- have a free wild-id.  So the only thing that can go wrong
-	-- is if you take apart this case expression, and pass a 
-	-- fragmet of it as the fun part of a 'mk_val_app'.
+        --
+        -- This is Dangerous.  But this is the only place we play this 
+        -- game, mk_val_app returns an expression that does not have
+        -- have a free wild-id.  So the only thing that can go wrong
+        -- is if you take apart this case expression, and pass a 
+        -- fragmet of it as the fun part of a 'mk_val_app'.
 
 mkWildEvBinder :: PredType -> EvVar
 mkWildEvBinder pred = mkWildValBinder pred
@@ -206,8 +200,8 @@ mkIfThenElse :: CoreExpr -> CoreExpr -> CoreExpr -> CoreExpr
 mkIfThenElse guard then_expr else_expr
 -- Not going to be refining, so okay to take the type of the "then" clause
   = mkWildCase guard boolTy (exprType then_expr) 
-	 [ (DataAlt falseDataCon, [], else_expr),	-- Increasing order of tag!
-    	   (DataAlt trueDataCon,  [], then_expr) ]
+         [ (DataAlt falseDataCon, [], else_expr),       -- Increasing order of tag!
+           (DataAlt trueDataCon,  [], then_expr) ]
 
 castBottomExpr :: CoreExpr -> Type -> CoreExpr
 -- (castBottomExpr e ty), assuming that 'e' diverges, 
@@ -348,7 +342,7 @@ mkChunkified :: ([a] -> a)      -- ^ \"Small\" constructor function, of maximum
              -> a               -- ^ Constructed thing made possible by recursive decomposition
 mkChunkified small_tuple as = mk_big_tuple (chunkify as)
   where
-	-- Each sub-list is short enough to fit in a tuple
+        -- Each sub-list is short enough to fit in a tuple
     mk_big_tuple [as] = small_tuple as
     mk_big_tuple as_s = mk_big_tuple (chunkify (map small_tuple as_s))
 
@@ -358,7 +352,7 @@ chunkify :: [a] -> [[a]]
 -- But there may be more than 'mAX_TUPLE_SIZE' sub-lists
 chunkify xs
   | n_xs <= mAX_TUPLE_SIZE = [xs] 
-  | otherwise		   = split xs
+  | otherwise              = split xs
   where
     n_xs     = length xs
     split [] = []
@@ -765,8 +759,8 @@ pc_bottoming_Id1 name ty
  = mkVanillaGlobalWithInfo name ty bottoming_info
  where
     bottoming_info = vanillaIdInfo `setStrictnessInfo`    strict_sig
-				   `setArityInfo`         1
-			-- Make arity and strictness agree
+                                   `setArityInfo`         1
+                        -- Make arity and strictness agree
 
         -- Do *not* mark them as NoCafRefs, because they can indeed have
         -- CAF refs.  For example, pAT_ERROR_ID calls GHC.Err.untangle,
diff --git a/compiler/coreSyn/TrieMap.lhs b/compiler/coreSyn/TrieMap.lhs
index ac04ada..4ed8f55 100644
--- a/compiler/coreSyn/TrieMap.lhs
+++ b/compiler/coreSyn/TrieMap.lhs
@@ -4,12 +4,6 @@
 %
 
 \begin{code}
-{-# OPTIONS -fno-warn-tabs #-}
--- The above warning supression flag is a temporary kludge.
--- While working on this module you are encouraged to remove it and
--- detab the module (please do the detabbing in a separate patch). See
---     http://ghc.haskell.org/trac/ghc/wiki/Commentary/CodingStyle#TabsvsSpaces
--- for details
 
 {-# LANGUAGE TypeFamilies #-}
 module TrieMap(
@@ -51,14 +45,14 @@ some neat handling of *binders*.  In effect they are deBruijn
 numbered on the fly.
 
 %************************************************************************
-%*									*
+%*                                                                      *
                    The TrieMap class
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
-type XT a = Maybe a -> Maybe a	-- How to alter a non-existent elt (Nothing)
-     	    	       		--               or an existing elt (Just)
+type XT a = Maybe a -> Maybe a  -- How to alter a non-existent elt (Nothing)
+                                --               or an existing elt (Just)
 
 class TrieMap m where
    type Key m :: *
@@ -104,9 +98,9 @@ deMaybe (Just m) = m
 \end{code}
 
 %************************************************************************
-%*									*
+%*                                                                      *
                    IntMaps
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
@@ -140,9 +134,9 @@ instance TrieMap UniqFM where
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
                    Lists
-%*									*
+%*                                                                      *
 %************************************************************************
 
 If              m is a map from k -> val
@@ -216,9 +210,9 @@ foldMaybe k (Just a) b = k a b
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
                    Basic maps
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
@@ -242,9 +236,9 @@ xtLit = alterTM
 \end{code}
 
 %************************************************************************
-%*									*
+%*                                                                      *
                    CoreMap
-%*									*
+%*                                                                      *
 %************************************************************************
 
 Note [Binders]
@@ -296,10 +290,10 @@ data CoreMap a
 
 wrapEmptyCM :: CoreMap a
 wrapEmptyCM = CM { cm_var = emptyTM, cm_lit = emptyLiteralMap
- 		 , cm_co = emptyTM, cm_type = emptyTM
- 		 , cm_cast = emptyTM, cm_app = emptyTM 
- 		 , cm_lam = emptyTM, cm_letn = emptyTM 
- 		 , cm_letr = emptyTM, cm_case = emptyTM
+                 , cm_co = emptyTM, cm_type = emptyTM
+                 , cm_cast = emptyTM, cm_app = emptyTM 
+                 , cm_lam = emptyTM, cm_letn = emptyTM 
+                 , cm_letr = emptyTM, cm_case = emptyTM
                  , cm_ecase = emptyTM, cm_tick = emptyTM }
 
 instance TrieMap CoreMap where
@@ -315,9 +309,9 @@ mapE :: (a->b) -> CoreMap a -> CoreMap b
 mapE _ EmptyCM = EmptyCM
 mapE f (CM { cm_var = cvar, cm_lit = clit
            , cm_co = cco, cm_type = ctype
- 	   , cm_cast = ccast , cm_app = capp
- 	   , cm_lam = clam, cm_letn = cletn 
- 	   , cm_letr = cletr, cm_case = ccase
+           , cm_cast = ccast , cm_app = capp
+           , cm_lam = clam, cm_letn = cletn 
+           , cm_letr = cletr, cm_case = ccase
            , cm_ecase = cecase, cm_tick = ctick })
   = CM { cm_var = mapTM f cvar, cm_lit = mapTM f clit 
        , cm_co = mapTM f cco, cm_type = mapTM f ctype
@@ -365,9 +359,9 @@ lkE env expr cm
   | EmptyCM <- cm = Nothing
   | otherwise     = go expr cm
   where 
-    go (Var v)  	    = cm_var  >.> lkVar env v
+    go (Var v)              = cm_var  >.> lkVar env v
     go (Lit l)              = cm_lit  >.> lkLit l
-    go (Type t) 	    = cm_type >.> lkT env t
+    go (Type t)             = cm_type >.> lkT env t
     go (Coercion c)         = cm_co   >.> lkC env c
     go (Cast e c)           = cm_cast >.> lkE env e >=> lkC env c
     go (Tick tickish e)     = cm_tick >.> lkE env e >=> lkTickish tickish
@@ -388,7 +382,7 @@ lkE env expr cm
 xtE :: CmEnv -> CoreExpr -> XT a -> CoreMap a -> CoreMap a
 xtE env e              f EmptyCM = xtE env e f wrapEmptyCM
 xtE env (Var v)              f m = m { cm_var  = cm_var m  |> xtVar env v f }
-xtE env (Type t) 	     f m = m { cm_type = cm_type m |> xtT env t f }
+xtE env (Type t)             f m = m { cm_type = cm_type m |> xtT env t f }
 xtE env (Coercion c)         f m = m { cm_co   = cm_co m   |> xtC env c f }
 xtE _   (Lit l)              f m = m { cm_lit  = cm_lit m  |> xtLit l f }
 xtE env (Cast e c)           f m = m { cm_cast = cm_cast m |> xtE env e |>>
@@ -420,7 +414,7 @@ xtTickish :: Tickish Id -> XT a -> TickishMap a -> TickishMap a
 xtTickish = alterTM
 
 ------------------------
-data AltMap a	-- A single alternative
+data AltMap a   -- A single alternative
   = AM { am_deflt :: CoreMap a
        , am_data  :: NameEnv (CoreMap a)
        , am_lit   :: LiteralMap (CoreMap a) }
@@ -459,9 +453,9 @@ fdA k m = foldTM k (am_deflt m)
 \end{code}
 
 %************************************************************************
-%*									*
+%*                                                                      *
                    Coercions
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
@@ -627,9 +621,9 @@ mapR f = RM . mapTM f . unRM
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
                    Types
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
@@ -775,9 +769,9 @@ foldTyLit l m = flip (Map.fold l) (tlm_string m)
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
                    Variables
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
@@ -811,7 +805,7 @@ xtBndr env v f = xtT env (varType v) f
 
 --------- Variable occurrence -------------
 data VarMap a = VM { vm_bvar   :: BoundVarMap a  -- Bound variable
-                   , vm_fvar   :: VarEnv a }  	  -- Free variable
+                   , vm_fvar   :: VarEnv a }      -- Free variable
 
 instance TrieMap VarMap where
    type Key VarMap = Var
